Bug 837705 - Review Request: python26-requests - HTTP library, written in Python, for human beings
Review Request: python26-requests - HTTP library, written in Python, for huma...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 18:27 EDT by Matt Spaulding
Modified: 2012-07-24 15:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 15:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Spaulding 2012-07-04 18:27:38 EDT
Spec URL: http://madsa.fedorapeople.org/packages/python26-requests/python26-requests.spec
SRPM URL: http://madsa.fedorapeople.org/packages/python26-requests/python26-requests-0.13.1-1.el5.centos.src.rpm

Description:
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

Fedora Account System Username: madsa

This package is meant to be exclusively for the EPEL5 Python 2.6 stack.
Comment 1 Matt Spaulding 2012-07-05 01:49:39 EDT
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4219356

Also, I need a sponsor since this is my first package.
Comment 2 Gwyn Ciesla 2012-07-05 15:02:27 EDT
I'm a sponsor, and will have a look.  Can have you done any practice package reviews yet?
Comment 3 Matt Spaulding 2012-07-05 15:10:15 EDT
Hi Jon, thanks for taking a look.

No practice reviews yet, but I intend to do some very soon. Should I comment on this issue with links to my practice reviews when they're completed?
Comment 4 Gwyn Ciesla 2012-07-05 15:17:53 EDT
That would be perfect, thanks.  2 or 3 should be sufficient.
Comment 5 Gwyn Ciesla 2012-07-05 16:29:56 EDT
- rpmlint checks return:

Clean, except for zero-length requests/async.py.  Probably ignorable.

- package meets naming guidelines
- package meets packaging guidelines
- license ( ISC and MIT ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Running a mock build to test BR, but I think that's fine, from what I can tell.

Overall very good.
Comment 7 Gwyn Ciesla 2012-07-06 09:19:26 EDT
Not bad.  I made one comment, but otherwise they look good.  I've sponsored you in the Packager group.  Welcome aboard, use your powers for good, etc.  :)  You can also now complete those two reviews officially.

APPROVED.

If you like, you can add me as a comaintainer when you submit your SCM request.

If you have any questions about anything, let me know.
Comment 8 Matt Spaulding 2012-07-06 12:38:43 EDT
Thanks, Jon!
Comment 9 Gwyn Ciesla 2012-07-06 15:04:03 EDT
Anytime.  Also, I just remembered, since the devel branch is automatically created along with your EL-5 branch, make sure that you do the EOL procedure on the devel branch:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Otherwise, come next mass-rebuild time, koji will try to build it and fail.
Comment 10 Matt Spaulding 2012-07-06 19:41:21 EDT
Package Change Request
======================
Package Name: python26-requests
New Branches: el5
Owners: madsa limb
InitialCC: madsa
Comment 11 Gwyn Ciesla 2012-07-06 22:55:36 EDT
Needs to be a New Package request, not Package Change.
Comment 12 Matt Spaulding 2012-07-06 23:27:50 EDT
New Package SCM Request
=======================
Package Name: python26-requests
Short Description: HTTP library, written in Python, for human beings
Owners: madsa limb
Branches: el5
InitialCC: madsa
Comment 13 Gwyn Ciesla 2012-07-07 09:35:18 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-07-08 00:26:50 EDT
python26-requests-0.13.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-requests-0.13.1-1.el5
Comment 15 Fedora Update System 2012-07-08 13:30:01 EDT
python26-requests-0.13.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 16 Fedora Update System 2012-07-24 15:36:16 EDT
python26-requests-0.13.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.